## org.apache.batik.svggen
Interface CachedImageHandler

All Superinterfaces:
  GenericImageHandler

All Known Implementing Classes:
  DefaultCachedImageHandler

public interface CachedImageHandler
extends GenericImageHandler

Extends the default ImageHandler interface with calls to allow caching of raster images in generated SVG content.

Method Summary
`ImageCacher` `getImageCacher()` Returns the image cache instance in use by this handler

Methods inherited from interface org.apache.batik.svggen.GenericImageHandler
`createElement, handleImage, handleImage, handleImage, setDOMTreeManager`

Method Detail

### getImageCacher

    public ImageCacher getImageCacher()

  Returns the image cache instance in use by this handler

  Returns:
    the image cache

Copyright © 2004 Apache Software Foundation. All Rights Reserved.